> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Summary

> Retrieve timeoff information for a workspace



## OpenAPI

````yaml get /staff/timeoff/{workspaceId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /staff/timeoff/{workspaceId}:
    get:
      tags:
        - Staff
      description: Retrieve timeoff information for a workspace
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totals:
                    type: object
                    properties:
                      pending:
                        type: number
                      out:
                        type: number
                    required:
                      - pending
                      - out
                  staff_out:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        username:
                          type: string
                        out_until:
                          type: string
                          format: date-time
                      required:
                        - id
                        - username
                        - out_until
                  upcoming:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        username:
                          type: string
                        out_from:
                          type: string
                          format: date-time
                      required:
                        - id
                        - username
                        - out_from
                required:
                  - totals
                  - staff_out
                  - upcoming
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````